Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 828097 - net-p2p/go-ipfs - Improve OpenRC script
Summary: net-p2p/go-ipfs - Improve OpenRC script
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: David
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2021-12-03 18:04 UTC by Brian Evans
Modified: 2021-12-29 04:02 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ipfs.init (ipfs.init,450 bytes, text/plain)
2021-12-03 18:05 UTC, Brian Evans
Details
ipfs.diff (ipfs.diff,570 bytes, patch)
2021-12-03 18:35 UTC, Brian Evans
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2021-12-03 18:04:33 UTC
The attached script updates a couple things which effectively is the same as the current model however it follows the modular nature of the declarative syntax.

Split out relevant start_stop_daemon_args into command_background, output_log and error_log
Comment 1 Brian Evans Gentoo Infrastructure gentoo-dev 2021-12-03 18:05:25 UTC
Created attachment 757341 [details]
ipfs.init

Updated script

Signed-off-by: Brian Evans <grknight@gentoo.org>
Comment 2 David Seifert gentoo-dev 2021-12-03 18:09:14 UTC
Please stop uploading initial files and start using git patches. Entire files are useless for reviewing.
Comment 3 Brian Evans Gentoo Infrastructure gentoo-dev 2021-12-03 18:35:51 UTC
Created attachment 757343 [details, diff]
ipfs.diff

(In reply to David Seifert from comment #2)
> Please stop uploading initial files and start using git patches. Entire
> files are useless for reviewing.

Just as anyone coming here to check a script won't be able to run it with
a diff.

But for reviewing sake, here is a diff, not from git.
I did say exactly what was done in comment #0.

This diff cannot be applied directly
Comment 4 David Seifert gentoo-dev 2021-12-03 19:22:16 UTC
(In reply to Brian Evans from comment #3)
> Created attachment 757343 [details, diff] [details, diff]
> ipfs.diff
> 
> (In reply to David Seifert from comment #2)
> > Please stop uploading initial files and start using git patches. Entire
> > files are useless for reviewing.
> 
> Just as anyone coming here to check a script won't be able to run it with
> a diff.
> 
> But for reviewing sake, here is a diff, not from git.
> I did say exactly what was done in comment #0.
> 
> This diff cannot be applied directly

go to the root of the repo, patch -p1 < <git patch> and you can test it?
Comment 5 Larry the Git Cow gentoo-dev 2021-12-29 01:51:06 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f2537a760925901f60d691f8b959a0b0e640f9fb

commit f2537a760925901f60d691f8b959a0b0e640f9fb
Author:     David Roman <davidroman96@gmail.com>
AuthorDate: 2021-12-28 23:59:50 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-12-29 01:50:29 +0000

    net-p2p/go-ipfs: verbump to 0.11.0
    
    Closes: https://bugs.gentoo.org/828097
    Closes: https://bugs.gentoo.org/830030
    Package-Manager: Portage-3.0.30, Repoman-3.0.3
    Signed-off-by: David Roman <davidroman96@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/23556
    Signed-off-by: Sam James <sam@gentoo.org>

 net-p2p/go-ipfs/Manifest              |  174 +++
 net-p2p/go-ipfs/go-ipfs-0.11.0.ebuild | 1977 +++++++++++++++++++++++++++++++++
 2 files changed, 2151 insertions(+)
Comment 6 Sam James archtester gentoo-dev Security 2021-12-29 04:02:34 UTC
FWIW, this was fixed in an earlier version: https://gitweb.gentoo.org/repo/gentoo.git/commit/net-p2p/go-ipfs?id=ed1878ecd4e3ce4dc54fed3fb939fd1f2b63740a